-- lx-bundle:true

-- This file is part of Lx, created by Liqube <www.liqube.com>
-- Copyright Liqube Audio. All rights reserved.
-- Lx Interim License. See LICENSE for details.

-- Default UI metrics

local common = require("core.common")
local metrics = {}

function metrics.apply(style)

	-- Default horizontal and vertical UI padding in scaled pixels
	style.padding = {
		x = common.round(14 * SCALE),
		y = common.round(7 * SCALE),
	}

	-- Default UI divider thickness in scaled pixels
	style.divider_size = common.round(1 * SCALE)

	-- Default UI scrollbar thickness in scaled pixels
	style.scrollbar_size = common.round(12 * SCALE)

	-- Default text cursor draw width in scaled pixels
	style.cursor_width = common.round(2 * SCALE)

	-- Default UI tab strip item width in scaled pixels
	style.tab_width = common.round(170 * SCALE)
end

return metrics
